import datetime

from django import forms
from logtracker.journal.models import Entry


class EntriesForm(forms.Form):
    host = forms.MultipleChoiceField(required=False)
    _systemd_unit = forms.MultipleChoiceField(required=False)
    priority = forms.MultipleChoiceField(required=False, choices=[(i, i) for i in range(1, 7)])
    since = forms.DateTimeField(required=False, initial=datetime.datetime.now())

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['host'].choices = set([(e, e) for e in Entry.objects.hosts()])
        self.fields['_systemd_unit'].choices = [(e, e) for e in Entry.objects.units()]
